<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Package org.apache.poi.xslf.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Package org.apache.poi.xslf.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Uses of Package org.apache.poi.xslf.usermodel" class="title">Uses of Package<br>org.apache.poi.xslf.usermodel
    </h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.extractor">org.apache.poi.xslf.extractor</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.model">org.apache.poi.xslf.model</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xslf.extractor">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xslf/extractor/package-summary.html">org.apache.poi.xslf.extractor</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XMLSlideShow.html#org.apache.poi.xslf.extractor">XMLSlideShow</a>
                        <div class="block">High level representation of a ooxml slideshow.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFRelation.html#org.apache.poi.xslf.extractor">XSLFRelation</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSlide.html#org.apache.poi.xslf.extractor">XSLFSlide</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSlideShow.html#org.apache.poi.xslf.extractor">XSLFSlideShow</a>
                        <div class="block">Experimental class to do low level processing of pptx files.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xslf.model">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xslf/model/package-summary.html">org.apache.poi.xslf.model</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFShape.html#org.apache.poi.xslf.model">XSLFShape</a>
                        <div class="block">Base super-class class for all shapes in PresentationML</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
            <!--   -->
        </a>
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing classes, and an explanation">
                <caption><span>Classes in <a href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> used by <a
                        href="../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colOne" scope="col">Class and Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/SlideLayout.html#org.apache.poi.xslf.usermodel">SlideLayout</a>
                        <div class="block">Date: 11/5/11</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XMLSlideShow.html#org.apache.poi.xslf.usermodel">XMLSlideShow</a>
                        <div class="block">High level representation of a ooxml slideshow.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFAutoShape.html#org.apache.poi.xslf.usermodel">XSLFAutoShape</a>
                        <div class="block">Represents a shape with a preset geometry.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFBackground.html#org.apache.poi.xslf.usermodel">XSLFBackground</a>
                        <div class="block">Background shape</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFChart.html#org.apache.poi.xslf.usermodel">XSLFChart</a>
                        <div class="block">Represents a Chart in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFComment.html#org.apache.poi.xslf.usermodel">XSLFComment</a>
                        <div class="block">XSLF Comment</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFCommentAuthors.html#org.apache.poi.xslf.usermodel">XSLFCommentAuthors</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFComments.html#org.apache.poi.xslf.usermodel">XSLFComments</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFConnectorShape.html#org.apache.poi.xslf.usermodel">XSLFConnectorShape</a>
                        <div class="block">Specifies a connection shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFFactory.html#org.apache.poi.xslf.usermodel">XSLFFactory</a>
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFFreeformShape.html#org.apache.poi.xslf.usermodel">XSLFFreeformShape</a>
                        <div class="block">Represents a custom geometric shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFGraphicFrame.html#org.apache.poi.xslf.usermodel">XSLFGraphicFrame</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFGroupShape.html#org.apache.poi.xslf.usermodel">XSLFGroupShape</a>
                        <div class="block">Represents a group shape that consists of many shapes grouped together.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFHyperlink.html#org.apache.poi.xslf.usermodel">XSLFHyperlink</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFNotes.html#org.apache.poi.xslf.usermodel">XSLFNotes</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFNotesMaster.html#org.apache.poi.xslf.usermodel">XSLFNotesMaster</a>
                        <div class="block">Notes master object associated with this layout.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFObjectData.html#org.apache.poi.xslf.usermodel">XSLFObjectData</a>
                        <div class="block">An XSLFOleData instance holds the ole binary stream/object</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFObjectShape.html#org.apache.poi.xslf.usermodel">XSLFObjectShape</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFPictureData.html#org.apache.poi.xslf.usermodel">XSLFPictureData</a>
                        <div class="block">Instantiates sub-classes of POIXMLDocumentPart depending on their
                            relationship type
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFPictureShape.html#org.apache.poi.xslf.usermodel">XSLFPictureShape</a>
                        <div class="block">Represents a picture shape</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFPlaceholderDetails.html#org.apache.poi.xslf.usermodel">XSLFPlaceholderDetails</a>
                        <div class="block">XSLF Placeholder Details</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFRelation.html#org.apache.poi.xslf.usermodel">XSLFRelation</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFShadow.html#org.apache.poi.xslf.usermodel">XSLFShadow</a>
                        <div class="block">Represents a shadow of a shape.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFShape.html#org.apache.poi.xslf.usermodel">XSLFShape</a>
                        <div class="block">Base super-class class for all shapes in PresentationML</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFShapeContainer.html#org.apache.poi.xslf.usermodel">XSLFShapeContainer</a>
                        <div class="block">Common interface for shape containers, e.g.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSheet.html#org.apache.poi.xslf.usermodel">XSLFSheet</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSimpleShape.html#org.apache.poi.xslf.usermodel">XSLFSimpleShape</a>
                        <div class="block">Represents a single (non-group) shape in a .pptx slide show</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSlide.html#org.apache.poi.xslf.usermodel">XSLFSlide</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSlideLayout.html#org.apache.poi.xslf.usermodel">XSLFSlideLayout</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFSlideMaster.html#org.apache.poi.xslf.usermodel">XSLFSlideMaster</a>
                        <div class="block">Slide master object associated with this layout.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTable.html#org.apache.poi.xslf.usermodel">XSLFTable</a>
                        <div class="block">Represents a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTableCell.html#org.apache.poi.xslf.usermodel">XSLFTableCell</a>
                        <div class="block">Represents a cell of a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTableRow.html#org.apache.poi.xslf.usermodel">XSLFTableRow</a>
                        <div class="block">Represents a table in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTableStyle.html#org.apache.poi.xslf.usermodel">XSLFTableStyle</a>
                        <div class="block">Represents a table style in a .pptx presentation</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTableStyle.TablePartStyle.html#org.apache.poi.xslf.usermodel">XSLFTableStyle.TablePartStyle</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTableStyles.html#org.apache.poi.xslf.usermodel">XSLFTableStyles</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTabStop.html#org.apache.poi.xslf.usermodel">XSLFTabStop</a>&nbsp;
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTextBox.html#org.apache.poi.xslf.usermodel">XSLFTextBox</a>&nbsp;
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTextParagraph.html#org.apache.poi.xslf.usermodel">XSLFTextParagraph</a>
                        <div class="block">Represents a paragraph of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTextRun.html#org.apache.poi.xslf.usermodel">XSLFTextRun</a>
                        <div class="block">Represents a run of text within the containing text body.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTextShape.html#org.apache.poi.xslf.usermodel">XSLFTextShape</a>
                        <div class="block">Represents a shape that can hold text.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colOne"><a
                            href="../../../../../org/apache/poi/xslf/usermodel/class-use/XSLFTheme.html#org.apache.poi.xslf.usermodel">XSLFTheme</a>
                        <div class="block">A shared style sheet in a .pptx slide show</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li>Class</li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xslf/usermodel/package-use.html" target="_top">Frames</a>
        </li>
        <li><a href="package-use.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
